<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.C.RendererControls</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Int</span></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Ptr</span></span><span>
</span><span id="line-6"></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html"><span class="hs-identifier">SDL.GPU.C.Types</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html"><span class="hs-identifier">SDL.GPU.C.Bool</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html"><span class="hs-identifier">SDL.GPU.C.NumericTypes</span></a></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">GPU</span></span><span>
</span><span id="line-10"></span><span>
</span><span id="line-11"></span><span>
</span><span id="line-12"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_ReserveNextRendererEnum&quot;</span></span><span> </span><span id="reserveNextRendererEnum"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#reserveNextRendererEnum"><span class="hs-identifier hs-var">reserveNextRendererEnum</span></a></span></span><span>
</span><span id="line-13"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererEnum"><span class="hs-identifier hs-type">GPU.RendererEnum</span></a></span><span>
</span><span id="line-14"></span><span>
</span><span id="line-15"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetNumActiveRenderers&quot;</span></span><span> </span><span id="getNumActiveRenderers"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#getNumActiveRenderers"><span class="hs-identifier hs-var">getNumActiveRenderers</span></a></span></span><span>
</span><span id="line-16"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Int"><span class="hs-identifier hs-type">GPU.Int</span></a></span><span>
</span><span id="line-17"></span><span>
</span><span id="line-18"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetActiveRendererList&quot;</span></span><span> </span><span id="getActiveRendererList"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#getActiveRendererList"><span class="hs-identifier hs-var">getActiveRendererList</span></a></span></span><span>
</span><span id="line-19"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererID"><span class="hs-identifier hs-type">GPU.RendererID</span></a></span><span> </span><span class="hs-comment">-- ^ renderers_array</span><span>
</span><span id="line-20"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-21"></span><span>
</span><span id="line-22"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetCurrentRenderer&quot;</span></span><span> </span><span id="getCurrentRenderer"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#getCurrentRenderer"><span class="hs-identifier hs-var">getCurrentRenderer</span></a></span></span><span>
</span><span id="line-23"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Renderer"><span class="hs-identifier hs-type">GPU.Renderer</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-24"></span><span>
</span><span id="line-25"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_SetCurrentRenderer&quot;</span></span><span> </span><span id="setCurrentRenderer"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#setCurrentRenderer"><span class="hs-identifier hs-var">setCurrentRenderer</span></a></span></span><span>
</span><span id="line-26"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererID"><span class="hs-identifier hs-type">GPU.RendererID</span></a></span><span>
</span><span id="line-27"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-28"></span><span>
</span><span id="line-29"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_Adapter_GetRenderer&quot;</span></span><span> </span><span id="getRenderer"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#getRenderer"><span class="hs-identifier hs-var">getRenderer</span></a></span></span><span>
</span><span id="line-30"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#RendererID"><span class="hs-identifier hs-type">GPU.RendererID</span></a></span><span>
</span><span id="line-31"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Renderer"><span class="hs-identifier hs-type">GPU.Renderer</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-32"></span><span>
</span><span id="line-33"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_FreeRenderer&quot;</span></span><span> </span><span id="freeRenderer"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#freeRenderer"><span class="hs-identifier hs-var">freeRenderer</span></a></span></span><span>
</span><span id="line-34"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.Types.html#Renderer"><span class="hs-identifier hs-type">GPU.Renderer</span></a></span><span>
</span><span id="line-35"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-36"></span><span>
</span><span id="line-37"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_ResetRendererState&quot;</span></span><span> </span><span id="resetRendererState"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#resetRendererState"><span class="hs-identifier hs-var">resetRendererState</span></a></span></span><span>
</span><span id="line-38"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-39"></span><span>
</span><span id="line-40"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SetCoordinateMode&quot;</span></span><span> </span><span id="setCoordinateMode"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#setCoordinateMode"><span class="hs-identifier hs-var">setCoordinateMode</span></a></span></span><span>
</span><span id="line-41"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">GPU.Bool</span></a></span><span> </span><span class="hs-comment">-- ^ use_math_coords</span><span>
</span><span id="line-42"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-43"></span><span>
</span><span id="line-44"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetCoordinateMode&quot;</span></span><span> </span><span id="getCoordinateMode"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#getCoordinateMode"><span class="hs-identifier hs-var">getCoordinateMode</span></a></span></span><span>
</span><span id="line-45"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">GPU.Bool</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-comment">-- ^ use_math_coords</span><span>
</span><span id="line-46"></span><span>
</span><span id="line-47"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_SetDefaultAnchor&quot;</span></span><span> </span><span id="setDefaultAnchor"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#setDefaultAnchor"><span class="hs-identifier hs-var">setDefaultAnchor</span></a></span></span><span>
</span><span id="line-48"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ anchor_x</span><span>
</span><span id="line-49"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ anchor_y</span><span>
</span><span id="line-50"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-51"></span><span>
</span><span id="line-52"></span><span class="hs-keyword">foreign</span><span> </span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-keyword">ccall</span></span><span> </span><span class="annot"><span class="hs-keyword">safe</span></span><span> </span><span class="annot"><span class="hs-string">&quot;SDL_gpu.h GPU_GetDefaultAnchor&quot;</span></span><span> </span><span id="getDefaultAnchor"><span class="annot"><a href="SDL.GPU.C.RendererControls.html#getDefaultAnchor"><span class="hs-identifier hs-var">getDefaultAnchor</span></a></span></span><span>
</span><span id="line-53"></span><span>  </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ anchor_x</span><span>
</span><span id="line-54"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Ptr</span></span><span> </span><span class="annot"><a href="SDL.GPU.C.NumericTypes.html#Float"><span class="hs-identifier hs-type">GPU.Float</span></a></span><span> </span><span class="hs-comment">-- ^ anchor_y</span><span>
</span><span id="line-55"></span><span>  </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">IO</span></span><span> </span><span class="hs-special">(</span><span class="hs-special">)</span><span>
</span><span id="line-56"></span><span>
</span><span id="line-57"></span><span>
</span><span id="line-58"></span></pre></body></html>